package com.bonus.material.home.mapper;


import com.bonus.common.biz.domain.TreeNode;
import com.bonus.common.biz.domain.TypeInfo;
import com.bonus.common.biz.domain.vo.AreaVo;
import com.bonus.material.device.domain.vo.DevInfoVo;

import java.util.List;

/**
 * 设备类型对象
 * @author ma_sh
 */
public interface MaTypeInfoMapper {

    /**
     * 查询设备类型列表
     * @param typeInfo
     * @return
     */
    public List<TreeNode> getMaTypeInfoList(TypeInfo typeInfo) ;

    List<TypeInfo> getMaCountByTypeId(TypeInfo typeInfo) ;

    /**
     * 热搜设备
     * @param devInfoVo
     * @return
     */
    List<DevInfoVo> getHotSearch(DevInfoVo devInfoVo);

    /**
     * 查询设备类型
     * @param typeInfo
     * @return
     */
    List<TypeInfo> getParentIdList(TypeInfo typeInfo);

    /**
     * 租用需求大厅区域
     * @param areaVo
     * @return
     */
    List<AreaVo> getArea(AreaVo areaVo);

    /**
     * 查询设备类型
     * @param typeInfo
     * @return
     */
    TypeInfo getTypeId(TypeInfo typeInfo);

    List<TypeInfo> getToolTypeList(TypeInfo typeInfo);
}
